package com.sw.mes.yb.production.service;

import java.util.List;
import java.util.Map;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.InputFurnaceDetail;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface InputFurnaceDetailService extends BaseService<InputFurnaceDetail> {

	List<InputFurnaceDetail> findByInputFurnaceId(Long inputFurnaceId);

	List<InputFurnaceDetail> findByAgainTaskDetailId(Long taskId);

	List<InputFurnaceDetail> findByAgainTaskDetailIdAndBucket(Long taskId, String bucketNo);

	List<InputFurnaceDetail> findByAgainTaskDetailIdList(List<Long> idList);

    List<Map<String, Object>> pullMaterialData();

	void updatePulledState(List<Long> idList2);
}
